const Status = {
	nameSpaced: true,
	state: {
		role: '0',
		authMenus: [],
		authButtons: [],
		mode: 'normal',
		highlights: [],
		highlightChanges: [],
		remark: '', //复核意见
		homeStatus: { // 任务列表页状态
			listConfig: undefined,
			params: undefined,
			searchParams: undefined,
			activeName: undefined
		},
		loading: {
			// 提交
			submit: false,
			// 校验
			check: false,
			// 暂存
			stash: false
		},
		taskListTabVal: '',
		taskList: {
			sptsel: 0,
			trnrel: 0,
			bopsel: 0,
			sptbrk: 0,
			diasel: 0,
		}
	},
	mutations: {
		setMode(state, value) {
			state.mode = value
		},
		setHighlights(state, value) {
			state.highlights = value
		},
		setHighlightChanges (state, value) {
			state.highlightChanges = value
		},
		setRole(state, value) {
			state.role = value
		},
		setAuthMenus(state, value) {
			state.authMenus = value
		},
		setAuthButtons(state, value) {
			state.authButtons = value
		},
		setRemark(state, value) {
			state.remark = value
		},
		updateRemark(state, id) {
			state.remark = state.remark + `\n ${id}:`
		},
		setHomeListConfig(state, value) {
			console.log(value)
			console.log('list config save')
			state.homeStatus.listConfig = value
		},
		setHomeActiveName(state, value) {
			state.homeStatus.activeName = value
		},
		setHomeParams(state, value) {
			state.homeStatus.params = value
		},
		setHomeSearchParams(state, value) {
			state.homeStatus.searchParams = value
		},
		resetHomeStatus(state) {
			state.homeStatus = { // 任务列表页状态
				listConfig: undefined,
				params: undefined,
				searchParams: undefined,
				activeName: undefined
			}
		},
		setLoadingSubmit(state, value) {
			state.loading.submit = value;
		},
		setLoadingCheck(state, value) {
			state.loading.check = value;
		},
		setLoadingStash(state, value) {
			state.loading.stash = value;
		},
		setTaskListTabVal(state, value) {
			state.taskListTabVal = value;
		},
		setTaskList(state, options) {
			state.taskList[options.key] = options.val;
		}
	}
}
export default Status